# 顔属性分析タスクを実行します。

このエンドポイントは、顔属性分析プロセスを開始します。ソースファイル（URL またはファイル ID 経由）を提供し、分析する機能を指定する必要があります。タスクは非同期で処理され、このレスポンスで返される task_id を使用してステータスを確認できます。

Endpoint: POST /s2s/v2.0/task/face-attr-analysis
Security: BearerAuthenticationV2

## Security:

  - `BearerAuthenticationV2` (unknown)
    http bearer

## Request fields (application/json):

  - `face_angle_strictness_level` (string)
    顔角度検出（ピッチ、ヨー、ロール）の厳密さレベルです。
より厳しいレベルでは、顔属性の結果がより正確になります。
初期値は 'high' です。
optoins:
- strict: pitch <= 4 degrees, yaw <= 6 degrees, roll <= 4 degrees
- high: pitch, yaw, roll <= 10 degrees
- medium: pitch, yaw, roll <= 15 degrees
- low: pitch, yaw, roll <= 20 degrees
- flexible: pitch, yaw, roll <= 30 degrees
    Enum: "strict", "high", "medium", "low", "flexible"

  - `features` (array, required)
    AI 肌分析カテゴリ
* 顔分析
  - FACE: faceShape
  - EYES: eyeShape eyeSize eyeAngle eyeDistance eyelid
  - BROWS: eyebrowShape eyebrowThickness eyebrowDistance eyebrowShortness
  - LIPS: lipShape
  - NOSE: noseWidth noseLength
  - CHEEKBONES: cheekbones
  - AGE & GENDER: age gender
  - COLORS: eyeColor hairColor eyebrowColor lipColor
* 顔の比率
  - horizontalThird
  - verticalFifth
  - faceAspectRatio
  - eyeAspectRatio
  - eyebrowPosition
  - eyebrowArch
  - eyeHeightToEyebrowDistance
  - noseAspectRatio
  - noseWidthToMouthWidth
  - noseToLipToChin
  - upperLipToLowerLip

  - `src_file_url` (string, required)
    タスクを実行するファイルの URL。この URL は公開されている必要があります。
    Example: https://example.com/selfie.jpg

  - `src_file_id` (string, required)
    タスクを実行するファイルの ID。ファイルアップロード API から取得したファイル ID です。
    Example: pfNK5PuRe0MrwLHcGA3DOmB1ahwfXTbYHjv+KoBIxbE=

## Response 200:

  - `200` (unknown)
    タスクの実行に成功しました

## Response 200 fields (application/json):

  - `status` (integer)
    レスポンスステータス
    Example: 200

  - `data` (object)

  - `data.task_id` (string)
    このタスクの ID。タスクの結果は、この ID を使用して 24 時間以内にクエリできます。
    Example: grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe

## Response 400:

  - `400` (unknown)
    タスクの実行に失敗しました

## Response 400 fields (application/json):

  - `status` (integer)
    レスポンスステータス
    Example: 400

  - `error` (string)
    エラーメッセージ
    Example: The operation could not be completed

  - `error_code` (string)
    エラーコード:
* InvalidParameters - 無効なリクエストパラメータ
* CreditInsufficiency - 実行に必要なユニットが不足しています
* BadRequest - 予期しないリクエストパラメータ
* InvalidStyleGroup - 無効なスタイルグループ ID
* InvalidStyle - 無効なスタイル ID
    Enum: "InvalidParameters", "CreditInsufficiency", "InvalidStyleGroup", "InvalidStyle", "BadRequest"

## Response 401:

  - `401` (unknown)
    無効または欠落している API キー

## Response 401 fields (application/json):

  - `status` (integer)
    レスポンスステータス
    Example: 401

  - `error` (string)
    Example: Invalid API key

## Response 429:

  - `429` (unknown)
    リクエストが多すぎます

## Response 429 fields (application/json):

  - `status` (integer)
    レスポンスステータス
    Example: 429

  - `error` (string)
    Example: Too many requests

